<?php


namespace Filoblu\Refilo\Model\Adapter;


use MongoDB\Driver\BulkWrite;
use MongoDB\Driver\Manager;

abstract class AbstractAdapter
{

    /**
     * @var Manager
     */
    protected $_connection;

    /**
     * @return mixed
     */
    abstract public function connect();

    /**
     * @param $key
     * @param $objects
     * @param $store
     * @param $insertMode
     * @return mixed
     */
    abstract public function update($key, $objects, $store, $insertMode);

}
