<?php


namespace Filoblu\Refilo\Model\Indexer\Core\Provider;


interface QueryProviderInterface
{
    public function getQuery(): string;

    public function getBindings(): array;

    public function filter(array $ids): QueryProviderInterface;

    public function website(int $website_id): QueryProviderInterface;
}
